from tree import RGBXmasTree
from colorzero import Color
import time
# Write your program below

tree = RGBXmasTree()
interval = 2
starLight = tree.star()

while True:
    try:
        starLight.color = Color("yellow")
        
        for light in tree.nonStarLights():
            light.color = Color("red")

        time.sleep(interval)
        tree.off()
    except KeyboardInterrupt:
        break

tree.off()

# Write your program above this line
tree.close()